Bug 70220 - redhat-config-xfree86 should fall back to --reconfig
redhat-config-xfree86 should fall back to --reconfig
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-xfree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
: 69607 70222 (view as bug list)
Depends On:
Blocks: 67217
  Show dependency treegraph
Reported: 2002-07-31 00:31 EDT by Sam Varshavchik
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-09 08:21:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sam Varshavchik 2002-07-31 00:31:57 EDT
Description of Problem:

I have an open bug from Limbo #1 where anaconda-generated XF86Config did not
work, but XConfigurator-generated XF86Config worked, so I wanted to check if
this bug still existed in Limbo #2.

After installing Limbo #2, and logging in, X did not start.

And running redhat-config-xfree86 now results in a rather uninformative python
traceback.  It appears that redhat-config-xfree86 tries to run X using current
settings, and when it fails, it just dies.

It took me some time to figure out that I had to run redhat-config-xfree86 to be

I think that redhat-config-xfree86 should automatically fall back to --reconfig
if it detects that its first attempt to start X dies.  After all, the most
common situation where one would supposedly run redhat-config-xfree86 is to try
to fix a non-working X configuration, and requiring a working X configuration
for the default startup mode seems counter-productive.

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. Start with a borked XF86Config
2. Run redhat-config-xfree86

Actual Results:

Observe the python traceback when X fails to start.

Expected Results:

Either fall back to --reconfig automatically, or at least prompt me: do you want
to blow away your current config, and begin from scratch?

Additional Information:
Comment 1 Alexander Larsson 2002-08-07 07:13:52 EDT
Falling back to --reconfig sounds right.
Comment 2 Alexander Larsson 2002-08-09 08:18:33 EDT
*** Bug 69607 has been marked as a duplicate of this bug. ***
Comment 3 Alexander Larsson 2002-08-09 08:21:38 EDT
*** Bug 70222 has been marked as a duplicate of this bug. ***
Comment 4 Alexander Larsson 2002-08-09 08:47:20 EDT
This should be fixed in 0.6.0-1.

Note You need to log in before you can comment on or make changes to this bug.